SelectGameModeActivity

com.j0h1.contour

## Class SelectGameModeActivity

- java.lang.Object
- - Activity
  - - com.j0h1.contour.SelectGameModeActivity

-     public class SelectGameModeActivity
      extends Activity

  Activity that holds the CustomModeFragment to define custom drawing sessions and the TrackModeFragment for starting a track session.
  Author:
    Johannes Riedmann

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `SelectGameModeActivity.SectionsPagerAdapter`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) SelectGameModeActivity.SectionsPagerAdapter` | `mSectionsPagerAdapter`
    `(package private) android.support.v4.view.ViewPager` | `mViewPager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectGameModeActivity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onConfigurationChanged(Configuration newConfig)` The activity handles the orientation changes itself, so on every orientation change (portrait to landscape and vice versa) this method is called.
    `protected void` | `onCreate(Bundle savedInstanceState)`
    `void` | `onTabReselected(ActionBar.Tab tab, FragmentTransaction fragmentTransaction)`
    `void` | `onTabSelected(ActionBar.Tab tab, FragmentTransaction fragmentTransaction)`
    `void` | `onTabUnselected(ActionBar.Tab tab, FragmentTransaction fragmentTransaction)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mSectionsPagerAdapter

          SelectGameModeActivity.SectionsPagerAdapter mSectionsPagerAdapter

    - #### mViewPager

          android.support.v4.view.ViewPager mViewPager

  - ### Constructor Detail

    - #### SelectGameModeActivity

          public SelectGameModeActivity()

  - ### Method Detail

    - #### onCreate

          protected void onCreate(Bundle savedInstanceState)

    - #### onTabSelected

          public void onTabSelected(ActionBar.Tab tab,
                                    FragmentTransaction fragmentTransaction)

    - #### onTabUnselected

          public void onTabUnselected(ActionBar.Tab tab,
                                      FragmentTransaction fragmentTransaction)

    - #### onTabReselected

          public void onTabReselected(ActionBar.Tab tab,
                                      FragmentTransaction fragmentTransaction)

    - #### onConfigurationChanged

          public void onConfigurationChanged(Configuration newConfig)

      The activity handles the orientation changes itself, so on every orientation change (portrait to landscape and vice versa) this method is called.